#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	ShareDir
Summary:	File::ShareDir - Locate per-dist and per-module shared files
Name:		perl-File-ShareDir
Version:	1.102
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	553157f0e81cd2dabfe140ceb06cd03f
URL:		http://search.cpan.org/dist/File-ShareDir/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl(Class::Inspector) >= 1.12
BuildRequires:	perl(Params::Util) >= 0.07
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The intent of File::ShareDir is to provide a companion to
Class::Inspector and File::HomeDir, modules that take a process that
is well-known by advanced Perl developers but gets a little tricky,
and make it more available to the larger Perl community.

Quite often you want or need your Perl module (CPAN or otherwise) to
have access to a large amount of read-only data that is stored on the
file-system at run-time.

On a linux-like system, this would be in a place such as /usr/share,
however Perl runs on a wide variety of different systems, and so the
use of any one location is unreliable.

Perl provides a little-known method for doing this, but almost nobody
is aware that it exists. As a result, module authors often go through
some very strange ways to make the data available to their code.

The most common of these is to dump the data out to an enormous Perl
data structure and save it into the module itself. The result are
enormous multi-megabyte .pm files that chew up a lot of memory
needlessly.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/auto/share/dist

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/File/*.pm
%{perl_vendorlib}/auto/share
%{_mandir}/man3/*
%changelog
* Sat Feb 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-ShareDir.git;a=log;h=master

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e21089
- up to 1.102

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c4b35d0
- up to 1.03

* Thu Feb 26 2009 radek <radek@pld-linux.org> 636e68e
- release 2: add vendorlib/auto/share{,/dist}

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8780690
- up to 1.00

* Mon Mar 31 2008 Elan Ruusamäe <glen@pld-linux.org> 3b0666b
- new

